Bug 856284 - acpi - Some options not mentioned both in man and help
acpi - Some options not mentioned both in man and help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: acpi (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Johan Swensson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 12:00 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: acpi-1.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 00:29:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Johan Swensson 2013-10-29 16:35:28 EDT
Do you have any details on this? What options are missing?
Comment 2 Filip Holec 2013-10-30 08:04:32 EDT
Options missing in man and help of /usr/bin/acpi:
    * --version
    * --hide-empty

Still an issue in acpi-1.5-6.fc20.x86_64
Comment 3 Johan Swensson 2013-10-30 10:36:21 EDT
Strange, I just tested
acpi-1.5-6.fc20.x86_64 
and
acpi-1.5-5.fc19.x86_64

I can see --version in both man file and --help.
I will look into --hide-empty.
Comment 4 Filip Holec 2013-10-30 10:38:45 EDT
Yes, --version is in both man and help message. The compare-options script said it is not present there.

Option --hide-empty is the only one missing.
Comment 5 Johan Swensson 2013-11-01 11:00:14 EDT
The --hide-empty option is an old option that doesn't do anything any more. 
It only prints the help screen.
Upstream intends to remove it all references to it in the next release.
Comment 6 Fedora Update System 2013-12-11 15:20:37 EST
acpi-1.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/acpi-1.7-1.fc20
Comment 7 Fedora Update System 2013-12-11 15:32:13 EST
acpi-1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/acpi-1.7-1.fc19
Comment 8 Fedora Update System 2013-12-11 15:45:15 EST
acpi-1.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/acpi-1.7-1.fc18
Comment 9 Fedora Update System 2013-12-12 11:29:11 EST
Package acpi-1.7-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpi-1.7-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23241/acpi-1.7-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2013-12-21 10:49:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora Update System 2013-12-22 00:29:52 EST
acpi-1.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-22 00:41:10 EST
acpi-1.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-12-22 00:46:14 EST
acpi-1.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.